Package oracle.jdbc

## Enum TraceEventListener.JdbcExecutionEvent

- java.lang.Object
- - java.lang.Enum<TraceEventListener.JdbcExecutionEvent>
  - - oracle.jdbc.TraceEventListener.JdbcExecutionEvent

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<TraceEventListener.JdbcExecutionEvent>`

Enclosing interface:
  TraceEventListener

    public static enum TraceEventListener.JdbcExecutionEvent
    extends java.lang.Enum<TraceEventListener.JdbcExecutionEvent>

### Enum Constant Summary

Enum Constants
`AC_REPLAY_STARTED`
`AC_REPLAY_SUCCESSFUL`
`VIP_RETRY`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getDescription()` Gets the event's description.
`static TraceEventListener.JdbcExecutionEvent` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TraceEventListener.JdbcExecutionEvent[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### VIP_RETRY

    public static final TraceEventListener.JdbcExecutionEvent VIP_RETRY

#### AC_REPLAY_STARTED

    public static final TraceEventListener.JdbcExecutionEvent AC_REPLAY_STARTED

#### AC_REPLAY_SUCCESSFUL

    public static final TraceEventListener.JdbcExecutionEvent AC_REPLAY_SUCCESSFUL

### Method Detail

#### values

    public static TraceEventListener.JdbcExecutionEvent[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TraceEventListener.JdbcExecutionEvent c : TraceEventListener.JdbcExecutionEvent.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TraceEventListener.JdbcExecutionEvent valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getDescription

    public java.lang.String getDescription()

Gets the event's description.

Returns:
  the event's description.